ru.bitel.bgbilling.kernel.event

## Class AbstractExecutorEventWorker

- java.lang.Object
- - ru.bitel.bgbilling.kernel.event.AbstractExecutorEventWorker

- All Implemented Interfaces:
    javax.jms.MessageListener, ru.bitel.bgbilling.kernel.application.server.Lifecycle, EventListener<Event>
  Direct Known Subclasses:
    ExecutorEventWorker

      public abstract class AbstractExecutorEventWorker
      extends java.lang.Object
      implements EventListener<Event>, javax.jms.MessageListener, ru.bitel.bgbilling.kernel.application.server.Lifecycle

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected ru.bitel.bgbilling.kernel.event.AbstractConsumer` | `consumer`
    `protected int` | `moduleId`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractExecutorEventWorker(EventProcessor ep, java.lang.Class<? extends Event> clazz, int moduleId, int pluginId, java.lang.String query)`
    `AbstractExecutorEventWorker(EventProcessor ep, java.lang.String destination, int moduleId, int pluginId, java.lang.String query, java.lang.Class<?>... clazz)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `shutdown()`
    `void` | `start()`
    `void` | `stop()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface ru.bitel.bgbilling.kernel.event.EventListener

      `notify`

    - ### Methods inherited from interface javax.jms.MessageListener

      `onMessage`

- - ### Field Detail

    - #### consumer

          protected final ru.bitel.bgbilling.kernel.event.AbstractConsumer consumer

    - #### moduleId

          protected final int moduleId

  - ### Constructor Detail

    - #### AbstractExecutorEventWorker

          public AbstractExecutorEventWorker(EventProcessor ep,
                                             java.lang.Class<? extends Event> clazz,
                                             int moduleId,
                                             int pluginId,
                                             java.lang.String query)
                                      throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### AbstractExecutorEventWorker

          public AbstractExecutorEventWorker(EventProcessor ep,
                                             java.lang.String destination,
                                             int moduleId,
                                             int pluginId,
                                             java.lang.String query,
                                             java.lang.Class<?>... clazz)
                                      throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

  - ### Method Detail

    - #### start

          public void start()
                     throws ru.bitel.bgbilling.common.BGException

      Specified by:
        `start` in interface `ru.bitel.bgbilling.kernel.application.server.Lifecycle`
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### stop

          public void stop()
                    throws ru.bitel.bgbilling.common.BGException

      Specified by:
        `stop` in interface `ru.bitel.bgbilling.kernel.application.server.Lifecycle`
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### shutdown

          public void shutdown()
                        throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`